=== debian/changelog ===
globalplatform (2.3.1+dfsg-3) unstable; urgency=medium

  * Add Multi-Arch hints.
  * Ship example *.txt scripts in gpshell package.
  * Add upstream/metadata.
  * tests: Add 'lib' test of libraries.
  * tests: Add 'cli' test of gpshell.
  * libglobalplatform-dev: Depend on libpcsclite-dev.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Nov 2023 08:44:51 +0100

globalplatform (2.3.1+dfsg-2) unstable; urgency=low

  * Drop self-checks on some archs due to upstream bug.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 14 Nov 2023 08:15:11 +0100

globalplatform (2.3.1+dfsg-1) unstable; urgency=low

  * Initial release.  Closes: #656665, #656959, #656957.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 09 Oct 2023 10:17:09 +0200
