=== debian/control ===
Source: globalplatform
Section: devel
Priority: optional
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen,
 libcmocka-dev,
 libminizip-dev,
 libpcsclite-dev,
 libssl-dev,
 pandoc,
 pkg-config,
 zlib1g-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/auth-team/globalplatform.git
Vcs-Browser: https://salsa.debian.org/auth-team/globalplatform
Homepage: https://kaoh.github.io/globalplatform/
Rules-Requires-Root: no

Package: gpshell
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GlobalPlatform Shell smart card script interpreter
 GlobalPlatform is a standard for handling applets, keys and security
 of smart cards (see www.globalplatform.org).
 .
 GPShell (GlobalPlatform Shell) is a script interpreter which talks to
 a smart card.  It is written on top of the GlobalPlatform library,
 which was developed by Karsten Ohme.  It uses smart card
 communication protocols ISO-7816-4 and OpenPlatform 2.0.1 and
 GlobalPlatform 2.1.1.  It can establish a secure channel with a smart
 card, load, instantiate, delete, list applets on a smart card.
 .
 This package constains to gpshell command-line tool.

Package: libglobalplatform-dev
Section: libdevel
Architecture: any
Depends:
 libglobalplatform7 (= ${binary:Version}),
 libpcsclite-dev,
 ${misc:Depends},
Description: development files for the GlobalPlatform library
 GlobalPlatform is a standard for handling applets, keys and security
 of smart cards (see www.globalplatform.org).
 .
 This is a C library providing an API to access OpenPlatform 2.0.1' and
 GlobalPlatform 2.1.1 conforming smart cards and later.
 GlobalPlatform Library provides an API for all GlobalPlatform
 related functions. It also provides an connection plugin framework.
 .
 This package contains development files for the GlobalPlatform library.

Package: libglobalplatform7
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 libgppcscconnectionplugin1,
Description: library to handle communication with GlobalPlatform cards
 GlobalPlatform is a standard for handling applets, keys and security
 of smart cards (see www.globalplatform.org).
 .
 This is a C library providing an API to access OpenPlatform 2.0.1' and
 GlobalPlatform 2.1.1 conforming smart cards and later.
 GlobalPlatform Library provides an API for all GlobalPlatform
 related functions. It also provides an connection plugin framework.
 .
 This package contains the shared GlobalPlatform library.

Package: libgppcscconnectionplugin1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: PC/SC connection plugin for GlobalPlatform Library
 GlobalPlatform is a standard for handling applets, keys and security
 of smart cards (see www.globalplatform.org).
 .
 This is a PC/SC connection plugin for the GlobalPlatform Library.
 This package provides a GlobalPlatform library/application a possibility
 to use PC/SC middleware/daemon to access smart cards.  It is used
 by gpshell for example.
 .
 This package contains the shared gppcscconnectionplugin library.
