=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=.

# https://github.com/kaoh/globalplatform/issues/84
ifeq ($(filter arm64 armel armhf mips64el ppc64el s390x alpha ia64 ppc64, $(DEB_HOST_ARCH)),)
unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DTESTING=ON)
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_SYSTEM_MINIZIP=ON \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	$(unittest)
