=== debian/tests/control ===
Tests: cli
Depends:
 gpshell,
 libgppcscconnectionplugin1,
 pcscd,

Tests: lib
Depends:
 gcc,
 libc-dev,
 libglobalplatform-dev,
 libgppcscconnectionplugin1,
 libssl-dev,
 pcscd,
 pkgconf,
