## globalplatform 2.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: globalplatform
 Section: devel
 Priority: optional
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
@@ -13,11 +13,11 @@
  libpcsclite-dev,
  libssl-dev,
  pandoc,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/auth-team/globalplatform.git
-Vcs-Browser: https://salsa.debian.org/auth-team/globalplatform
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/pkg-security-team/globalplatform.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/globalplatform
 Homepage: https://kaoh.github.io/globalplatform/
 Rules-Requires-Root: no
 
@@ -42,6 +42,7 @@
 Package: libglobalplatform-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libglobalplatform7 (= ${binary:Version}),
  libpcsclite-dev,
