=== globalplatform/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,10 @@
 cmake_policy(VERSION 3.5.1)
 
 SET( ${PROJECT_NAME}_CURRENT 7 )
-SET( ${PROJECT_NAME}_REVISION 3 )
+SET( ${PROJECT_NAME}_REVISION 4 )
 SET( ${PROJECT_NAME}_AGE 0 )
 SET(VERSION "${${PROJECT_NAME}_CURRENT}.${${PROJECT_NAME}_REVISION}.${${PROJECT_NAME}_AGE}")
+SET(SOVERSION "${${PROJECT_NAME}_CURRENT}")
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake_modules/)
