=== globalplatform/src/CMakeLists.txt ===
--- 
+++ 
@@ -107,7 +107,7 @@
 ENDIF(WINDDK_DIR)
 
 IF(UNIX)
-  SET_TARGET_PROPERTIES(globalplatform PROPERTIES SOVERSION ${VERSION})
+  SET_TARGET_PROPERTIES(globalplatform PROPERTIES SOVERSION ${SOVERSION})
 ENDIF(UNIX)
 
 # Install
