=== globalplatform/src/globalplatform/CMakeLists.txt ===
FILE(GLOB HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
INSTALL(FILES ${HEADERS} DESTINATION include/globalplatform COMPONENT dev)
