=== debian/changelog ===
globalplatform (2.4.0+dfsg-1ubuntu1) noble; urgency=medium

  * d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060262)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 05 Apr 2024 20:31:05 +0200

globalplatform (2.4.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:04:53 +0000

globalplatform (2.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * use-MAJOR-version-as-SOVERSION.patch: Drop, fixed upstream.
  * fix-unitialized-value.patch: Drop, fixed upstream.
  * fix-rsa-exponent-conversion.patch: Drop, fixed upstream.
  * Update symbols file with added APIs.
  * use-versioned-so-for-dlopen.patch: Mark patch as forwarded.
  * use-system-minizip.patch: Tag Forwarded:not-needed with explanation.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Dec 2023 11:07:31 +0100

globalplatform (2.3.1+dfsg-6) unstable; urgency=medium

  [ Ludovic Rousseau ]
  * Fix autopkgtest problem with pcscd. Closes: #1058770

 -- Simon Josefsson <simon@josefsson.org>  Sun, 17 Dec 2023 09:20:18 +0100

globalplatform (2.3.1+dfsg-5) unstable; urgency=medium

  * fix-rsa-exponent-conversion.patch: Add; fixing s390x FTBFS.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 15 Dec 2023 09:28:48 +0100

globalplatform (2.3.1+dfsg-4) unstable; urgency=medium

  * Mark libglobalplatform-dev as Multi-Arch:same.
  * fix-unitialized-value.patch: Add; re-enable self-tests on all archs.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Nov 2023 22:42:58 +0100
