=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: globalplatform
 Section: devel
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
@@ -13,11 +14,11 @@
  libpcsclite-dev,
  libssl-dev,
  pandoc,
- pkgconf,
+ pkg-config,
  zlib1g-dev,
-Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/pkg-security-team/globalplatform.git
-Vcs-Browser: https://salsa.debian.org/pkg-security-team/globalplatform
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/auth-team/globalplatform.git
+Vcs-Browser: https://salsa.debian.org/auth-team/globalplatform
 Homepage: https://kaoh.github.io/globalplatform/
 Rules-Requires-Root: no
