=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=.

unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DTESTING=ON)

override_dh_auto_configure:
	dh_auto_configure -- \
	-DUSE_SYSTEM_MINIZIP=ON \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	$(unittest)
