=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
  gpshell,
  libgppcscconnectionplugin1,
  pcscd,
+Restrictions: needs-sudo
 
 Tests: lib
 Depends:
@@ -13,3 +14,4 @@
  libssl-dev,
  pcscd,
  pkgconf,
+Restrictions: needs-sudo
