## globalplatform 2.4.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # MacOS support for CMake 3+
 set(CMAKE_MACOSX_RPATH 1)
+
+# With cmake >= 3.21, version can be set in project().
+set(GPSHELL_VERSION 2.4.2)
 
 ADD_SUBDIRECTORY(globalplatform)
 ADD_SUBDIRECTORY(gppcscconnectionplugin)
