=== globalplatform/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SET( ${PROJECT_NAME}_CURRENT 7 )
 SET( ${PROJECT_NAME}_REVISION 4 )
-SET( ${PROJECT_NAME}_AGE 0 )
+SET( ${PROJECT_NAME}_AGE 1 )
 SET(VERSION "${${PROJECT_NAME}_CURRENT}.${${PROJECT_NAME}_REVISION}.${${PROJECT_NAME}_AGE}")
 SET(SOVERSION "${${PROJECT_NAME}_CURRENT}")
