=== gppcscconnectionplugin/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 SET( ${PROJECT_NAME}_REVISION 2 )
 SET( ${PROJECT_NAME}_AGE 4 )
 SET(VERSION "${${PROJECT_NAME}_CURRENT}.${${PROJECT_NAME}_REVISION}.${${PROJECT_NAME}_AGE}")
+SET(SOVERSION "${${PROJECT_NAME}_CURRENT}")
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake_modules/;${PROJECT_SOURCE_DIR}/../globalplatform/cmake_modules/)
