=== gpshell/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SET( ${PROJECT_NAME}_CURRENT 2 )
 SET( ${PROJECT_NAME}_REVISION 4 )
-SET( ${PROJECT_NAME}_AGE 0 )
+SET( ${PROJECT_NAME}_AGE 2 )
 SET(VERSION "${${PROJECT_NAME}_CURRENT}.${${PROJECT_NAME}_REVISION}.${${PROJECT_NAME}_AGE}")
 
 SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake_modules/;${PROJECT_SOURCE_DIR}/../globalplatform/cmake_modules/)
