=== gppcscconnectionplugin/src/CMakeLists.txt ===
--- 
+++ 
@@ -63,7 +63,7 @@
 ENDIF(WINDDK_DIR)
 
 IF(UNIX)
-  SET_TARGET_PROPERTIES(gppcscconnectionplugin PROPERTIES SOVERSION ${VERSION})
+  SET_TARGET_PROPERTIES(gppcscconnectionplugin PROPERTIES SOVERSION ${SOVERSION})
 ENDIF(UNIX)
 
 IF(WIN32)
