=== debian/changelog ===
globalplatform (2.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.2+dfsg
  * Standards-Version: 4.7.2.
  * Drop upstreamed use-versioned-so-for-dlopen.patch.
  * Drop upstreamed fix-ftbfs.patch.
  * Run wrap-and-sort -satbk.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 10 Aug 2025 21:20:52 +0200

globalplatform (2.4.0+dfsg-3) unstable; urgency=medium

  * Fix reprotest failure.
  * Fix gpshell.1 paths.  Closes: #1079704.
  * Run wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 22:32:50 +0200

globalplatform (2.4.0+dfsg-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Bump Standards-Version to 4.7.0.
  * Add debian/salsa-ci.yml for wrap-and-sort.
  * Change Maintainer to pkg-security and adjust Vcs-* URLs.
  * Build-Depends: Use pkgconf instead of pkg-config.
  * Bump d/copyright years.
  * d/gbp.conf: Add, for git branch names.

  [ Sudip Mukherjee <sudipm.mukherjee@gmail.com> ]
  * d/p/fix-ftbfs.patch: Disable LTO in unittests. (LP: #2060262)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Jul 2024 09:49:46 +0200
