=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: globalplatform
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  doxygen,
  libcmocka-dev,
  libminizip-dev,
  libpcsclite-dev,
  libssl-dev,
  pandoc,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/auth-team/globalplatform.git
-Vcs-Browser: https://salsa.debian.org/auth-team/globalplatform
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/pkg-security-team/globalplatform.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/globalplatform
 Homepage: https://kaoh.github.io/globalplatform/
 Rules-Requires-Root: no
