=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+dfsg" \
https://github.com/kaoh/globalplatform/tags (?:.*/)?(\d[\d\.]*)\.tar\.gz
